OCTAVE-CONFIG(1)

NAME
octave-config - GNU Octave component and library information retrieval

SYNOPSIS
octave-config [OPTION]...

DESCRIPTION
octave-config is a tool to obtain directory information for .oct and .m files for octave(1).

OPTIONS

--m-site-dir
    Display the main directory for local, or site-specific, .m script files.

--oct-site-dir
    Display the main directory for local, or site-specific, .oct dynamic-link libraries.

-p VAR, --print VAR
    Print the default value of the Octave configuration variable VAR. Recognized variables are:
        API_VERSION                 LOCALARCHLIBDIR
        ARCHLIBDIR                  LOCALFCNFILEDIR
        BINDIR                      LOCALOCTFILEDIR
        CANONICAL_HOST_TYPE         LOCALSTARTUPFILEDIR
        DATADIR                     LOCALVERARCHLIBDIR
        DATAROOTDIR                 LOCALVERFCNFILEDIR
        DEFAULT_PAGER               LOCALVEROCTFILEDIR
        EXEC_PREFIX                 MAN1DIR
        EXEEXT                      MAN1EXT
        FCNFILEDIR                  MANDIR
        IMAGEDIR                    OCTAVE_EXEC_HOME
        INCLUDEDIR                  OCTAVE_HOME
        INFODIR                     OCTDATADIR
        INFOFILE                    OCTDOCDIR
        LIBDIR                      OCTFILEDIR
        LIBEXECDIR                  OCTFONTSDIR
        LOCALAPIARCHLIBDIR          OCTINCLUDEDIR
        LOCALAPIFCNFILEDIR          OCTLIBDIR
        LOCALAPIOCTFILEDIR          STARTUPFILEDIR
        LOCALAPIPKGDIR              VERSION

-v, --version
    Display the version number of octave(1).

-h, -?, --help
    Print help message.

AUTHOR
John W. Eaton <jwe@octave.org> This manual page was contributed by Dirk Eddelbuettel <edd@debian.org> for the Debian GNU/Linux distribution but may be used by others.

SEE ALSO
octave (1).